digiKam Developer Documentation: Digikam::ItemViewToolTip Class Reference

| digiKam Developer Documentation Professional Photo Management with the Power of Open Source

Loading...
Searching...
No Matches
Public Member Functions | Protected Member Functions | List of all members
Digikam::ItemViewToolTip Class Reference
Inheritance diagram for Digikam::ItemViewToolTip:

## Public Member Functions
| ItemViewToolTip (QAbstractItemView *const view)
QModelIndex | currentIndex () const
QAbstractItemModel * | model () const
void | setTipContents (const QString &tipContents)
void | show (const QStyleOptionViewItem &option, const QModelIndex &index)
| Show the tooltip for the given item.
QString | tipContents () override
| Default implementation is based on setTipContents().
virtual QAbstractItemView * | view () const
Public Member Functions inherited from Digikam::DItemToolTip
| DItemToolTip (QWidget *const parent=nullptr)

## Protected Member Functions
bool | eventFilter (QObject *o, QEvent *e) override
void | hideEvent (QHideEvent *) override
void | mouseMoveEvent (QMouseEvent *e) override
QRect | repositionRect () override
Protected Member Functions inherited from Digikam::DItemToolTip
bool | event (QEvent *) override
void | paintEvent (QPaintEvent *) override
void | renderArrows ()
void | reposition ()
void | resizeEvent (QResizeEvent *) override
bool | toolTipIsEmpty () const
void | updateToolTip ()

## Member Function Documentation

## ◆ repositionRect()

QRect Digikam::ItemViewToolTip::repositionRect | ( |  | ) |
| overrideprotectedvirtual

Implements Digikam::DItemToolTip.

## ◆ show()

void Digikam::ItemViewToolTip::show | ( | const QStyleOptionViewItem & | option,
|  | const QModelIndex & | index
| ) |  |

The rect of the given option is taken as area for which the tooltip is shown.

## ◆ tipContents()

QString Digikam::ItemViewToolTip::tipContents | ( |  | ) |
| overridevirtual

Reimplement if you dynamically provide the contents.

Implements Digikam::DItemToolTip.